#pragma once

//#include "wx/dialog.h"
#include "dialog_with_buttons.h"
#include "file.h"
#include "wx/combobox.h"
#include "wx/config.h"
#include "wx/checkbox.h"


class DialogResample : public DialogWithButtons
{
public:
//	DialogResample::DialogResample (wxWindow* window_parent, File* file);
	DialogResample::DialogResample (wxWindow* window_parent);
	void Config_Read (wxConfigBase* config);
	void Config_Write (wxConfigBase* config);
	int ShowModal ();
private:
	void Values_Write ();
//	void Values_ValidateAndRead (bool read);
	void Values_ValidateAndRead ();
	bool GetFractionNumerators (bool approximate);
// + events +
	void OnText (wxCommandEvent& event);
	void OnBtnOk (wxCommandEvent& event);
	void OnBtnDivide (wxCommandEvent& event);
	void OnBtnSimplify (wxCommandEvent& event);
	void OnBtnBegin (wxCommandEvent& event);
	void OnBtnApproximate (wxCommandEvent& event);
	void OnChkboxAutoGetSamplerate (wxCommandEvent& event);
	void OnBtnGetSamplerate (wxCommandEvent& event);
	void OnChkboxChangeRate (wxCommandEvent& event);
	void OnHelp (wxHelpEvent& event);
// - events -

//	bool m_is_confirmed;

private:
// + controls +
	wxTextCtrl* m_textctrl_rate_out;
	wxTextCtrl* m_textctrl_rate_in;
	wxTextCtrl* m_textctrl_relation0;
	wxTextCtrl* m_textctrl_tolerance;
	wxTextCtrl* m_textctrl_cycle_samples_out;
	wxTextCtrl* m_textctrl_cycle_samples_in;
	wxTextCtrl* m_textctrl_relation1;
	wxTextCtrl* m_textctrl_error;
	wxCheckBox* m_chkbox_auto_get_samplerate;
	wxCheckBox* m_chkbox_change_samplerate;
// - controls -
	int m_choice_id__format;
	int m_choice_id__subformat;
// + internal values +
	int m_rate_out;
	int m_rate_in;
	double m_relation0;
	double m_tolerance;
	int m_cycle_samples_out;
	int m_cycle_samples_in;
	double m_relation1;
	double m_error;
// - internal values -
public:
// + values +
	uint m_start_samplerate;
	int m_val_rate_out;
	int m_val_rate_in;
	double m_val_relation;
	double m_val_tolerance;
	int m_val_cycle_samples_out;
	int m_val_cycle_samples_in;
	bool m_val_auto_get_samplerate;
	bool m_val_change_samplerate;
// - values -
// *actually must be 'm_is_output_valid'
	bool m_is_data_valid;

	DECLARE_EVENT_TABLE()
};

