#pragma once

//#include "wx/wx.h"
//#include "wx/config.h"
#include "wx/treectrl.h"
#include "wx/generic/treectlg.h"
//#include "file.h"
#include "project.h"


class WindowFiles;


class FileProperties : public wxGenericTreeCtrl
{
protected:
	FileProperties (File* file, Project* project, wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size, long style, const wxValidator& validator, const wxString& name);
// have to access these :/
	virtual void Reinit () = 0;
	virtual void Waves_GetSelections () = 0;
	void SendUpdateEvent ();
	void Waves_Manage ();
	void Waves_Delete ();
	void Waves_Samples_InsertRemove (bool is_insert);

private:
protected:
	Project* m_proj;
	File* m_file;

// 'WindowFiles' does not have files array, so let it to use our 'm_file'
	friend WindowFiles;
};

