#pragma once

#include "file_properties.h"


#define MY_TREE_CTRL_WIDTH 124

//class FileTreeCtrlItem;

//class FileTreeCtrl : public wxGenericTreeCtrl
//class FileTreeCtrl : public wxGenericTreeCtrl, public FileProperties
class FileTreeCtrl : public FileProperties
{
public:
//	FileTreeCtrl ()
//	{
//	}
//	FileTreeCtrl (File* file, wxWindow* parent, wxWindowID id, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTR_HAS_BUTTONS, const wxValidator& validator = wxDefaultValidator, const wxString& name = "treeCtrl");
	FileTreeCtrl (File* file, Project* project, wxWindow* parent, wxWindowID id, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTR_NO_BUTTONS | wxTR_MULTIPLE, const wxValidator& validator = wxDefaultValidator, const wxString& name = "treeCtrl");
	void Init ();
	void Reinit ();
	void CalculateSizes (wxSize& size);
// +++++ Do___ +++++
	void DoSelectItem (const wxTreeItemId& item_id, bool unselect_others = 1, bool extended_select = 0);
// ----- Do___ -----
	void ShowMenuFile (wxTreeItemId id, const wxPoint& pt);
	void ShowMenuWave (wxTreeItemId id, const wxPoint& pt);
//	void Waves_Iterate_Selected (void* func (int wave_ix));
	void Waves_GetSelections ();
//	void SelectionSet (bool selected);
	void SelectionSet ();
//	void SelectionClearAll ();
	void SendFileSelectionsResetEvent ();
// +++++ event handlers +++++
	void OnCollapsing (wxTreeEvent& event);
//	void OnItemRClick (wxTreeEvent& event);
	void OnItemMenu (wxTreeEvent& event);
	void OnSelChanging (wxTreeEvent& event);
	void OnLMouseDown (wxMouseEvent& event);
	void OnManageWaves (wxCommandEvent& event);
	void OnFileProperties (wxCommandEvent& event);
	void OnDeleteWaves (wxCommandEvent& event);
	void OnSamplesInsert (wxCommandEvent& event);
	void OnSamplesRemove (wxCommandEvent& event);
	void OnChar (wxKeyEvent& event);
// ----- event handlers -----

private:
//	const wxString& frameTitle;
//	wxWindowID m_id;
//	FileTreeCtrlItem* m_FileTreeCtrlItem;
//	bool m_iterator_reset;

// I haven't understood it yet
//	DECLARE_DYNAMIC_CLASS(FileTreeCtrl)
	DECLARE_EVENT_TABLE()
};

