// by Alexander Ilyin

#include "menu_help.h"
#include "ids.h"
#include "help.h"


BEGIN_EVENT_TABLE(Menu_Help, wxMenu)
	EVT_KEY_DOWN(Menu_Help::OnKeyDown)
	EVT_MENU(HELP_HELP, Menu_Help::OnHelp)
	EVT_MENU(HELP_ABOUT, Menu_Help::OnAbout)
END_EVENT_TABLE()


Menu_Help::Menu_Help (wxFrame* frame, Project* project)
{
//	m_menu = new wxMenu;
	m_proj = project;
	m_frame = frame;
}

Menu_Help::~Menu_Help ()
{
	m_proj = 0;
	m_frame = 0;
}

void Menu_Help::Create ()
{
	Append (HELP_HELP, _T("NanoWave Help\tF1"), _T("Start helper"));
	AppendSeparator ();
	Append (HELP_ABOUT, _T("&About"), _T("About this tool"));
}

// hmmm, not working atm
void Menu_Help::OnKeyDown (wxKeyEvent& event)
{
	int key;

	key = event.GetKeyCode ();
	event.Skip ();
}

void Menu_Help::OnHelp (wxCommandEvent& event)
{
	Help_Display (wxString ("Introduction"));
}

void Menu_Help::OnAbout (wxCommandEvent& event)
{
	wxMessageBox (_T("NanoWave\n2008-04-28 - 2009\nAlexander Ilyin"), _T("About"), wxICON_INFORMATION | wxOK);
}

