#pragma once


// define unsigned types;
typedef unsigned char byte;
typedef unsigned short ushort;
typedef unsigned long ulong;
typedef unsigned int uint;
typedef signed __int64 int64;
typedef unsigned __int64 uint64;

#ifndef __cplusplus
// define a boolean
typedef byte bool;
#endif

#ifndef NULL
#define NULL 0
#endif


// *no define for it in SDK or DDK (GTI_SECONDS only)
#define TI_MICROSECOND ((uint64)10)
#define TI_MILLISECOND (1000 * TI_MICROSECOND)
#define TI_SECOND (1000 * TI_MILLISECOND)
#define TI_MINUTE (60 * TI_SECOND)

