// by Alexander Ilyin

#include "app.h"
#include "wx/colordlg.h"
#include "wx/config.h"
//#include "console.h"
#include "help.h"


IMPLEMENT_APP(App)

bool App::OnInit ()
{
	SetVendorName (_T("wxWidgets"));
	SetAppName (_T("NanoWave"));

	wxConfigBase* pConfig = wxConfigBase::Get ();
	pConfig->SetRecordDefaults();

//	Console_Init ();

	m_frame = new Frame;

	m_frame->Show (1);
	SetTopWindow (m_frame);

	Help_Init ();

	return 1;
}

// test
// bad, it receives all events, incl. if it is a keypress upon a dialog box
//// 'wxEvtHandler::ProcessEvent ()' doesn't even try a parent, because 'wxEvtHandler::ProcessEventIfMatches ()' has returned 1, seeing that the event has not been skipped
// 'event.ShouldPropagate ()' in 'wxWindowBase::TryParent ()' returns 0, because 'm_propagationLevel' is 0
// everything succeed unexpectedly :  have just to allow propagations, and a dialog events will not go together, but will btw be filtered out
#if 1
int App::FilterEvent (wxEvent& event)
{
//	wxObject* obj;

//	obj = event.GetEventObject ();
//	if (event.GetEventType () == wxEVT_KEY_DOWN && ((wxKeyEvent&)event).GetKeyCode () == WXK_F1)
	if (event.GetEventType () == wxEVT_CHAR)
	{
//		frame->OnHelpF1 ((wxKeyEvent&)event);
//		event.m_propagationLevel = 100;
// have only go up once; then this subroutine will be called again
//		event.ResumePropagation (100);
		event.ResumePropagation (1);
//		return 1;
// let it to propagate up
//		return -1;
	}

	return -1;
}
#endif

// test
// is not requested
#if 0
bool App::PreProcessMessage (WXMSG* msg)
{
	return 0;
}
#endif

// test
// is not requested
#if 0
bool App::ProcessMessage (WXMSG* msg)
{
	return 0;
}
#endif

//	Help_Quit ();

