#pragma once

//#include "wx/dialog.h"
//#include "wx/panel.h"
//#include "wx/listctrl.h"
//#include "wx/listbox.h"
#include "dialog_with_buttons.h"
#include "config.h"
#include "project.h"
#include "listbox_m.h"


class DialogFileAddRemoveWaves : public DialogWithButtons
{
public:
	DialogFileAddRemoveWaves (wxWindow* window, File* file, Project* project);
	void ListLeft_Fill ();
	void ListRight_Fill ();
	void List_Add ();
	void List_Delete ();
	void FileWaves_RemoveAll ();
	void FileWaves_AddFromList ();
	void OnAdd (wxCommandEvent& event);
	void OnDelete (wxCommandEvent& event);
	void OnOk (wxCommandEvent& event);
	void OnEnter (wxCommandEvent& event);
//	void OnActivated (wxCommandEvent& event);
	void OnChar (wxKeyEvent& event);
	void OnHelp (wxHelpEvent& event);

	int m_waves_ixs[PROJECT_WAVES_MAX];
	int m_waves_ixs_num;

private:
	File* m_file;
	Project* m_proj;
	int m_waves_num_proj;
	int m_waves_num_file;
//	int m_waves_add_max;
//	wxListCtrl* m_list_ctrl_left;
//	wxListCtrl* m_list_ctrl_right;
//	wxListBox* m_list_box_left;
//	wxListBox* m_list_box_right;
	ListBoxM* m_list_box_left;
	ListBoxM* m_list_box_right;
	int m_list_box_id_left;
	int m_list_box_id_right;

	DECLARE_EVENT_TABLE()
};

