// 'wxListBox' lacks of 'wxEVT_COMMAND_ENTER' (that event can propagate)
// adding propagation for 'EVT_CHAR'

#include "listbox_m.h"


BEGIN_EVENT_TABLE(ListBoxM, wxListBox)
	EVT_CHAR(ListBoxM::OnChar)
//	EVT_KEY_DOWN(ListBoxM::OnKeyDown)
END_EVENT_TABLE()


ListBoxM::ListBoxM
	(
	wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size,
	int n, const wxString choices[], long style, const wxValidator& validator, const wxString& name
	)
:
wxListBox (parent, id, pos, size, n, choices, style, validator, name)
{
	;
}

void ListBoxM::OnChar (wxKeyEvent& event)
{
// if look by Widgets manual - it's not a hack
	event.ResumePropagation (wxEVENT_PROPAGATE_MAX);
	event.Skip ();
}

