#pragma once

//#include "wx/treectrl.h"
//#include "wx/wx.h"
//#include "wx/window.h"
#include "wx/scrolwin.h"
//#include "wx/grid.h"
#include "wx/panel.h"
//#include "config.h"
//#include "file.h"
#include "project.h"
// MSVC 6.0 SP 6 - again bug - in <vector> template
#if _MSC_VER == 1200
#pragma warning(disable:4018)
#endif
#include <vector>
#include "file_tree_ctrl.h"


typedef std::vector<FileTreeCtrl*> vector_filetreectrl_t;


// not 'wxGrid', because it does not allow to use it's cells as subwindows;
// hmmm, everything other also doesn't allow; and I don't need actually
//class WindowFiles : public wxTreeCtrl
class WindowFiles : public wxScrolledWindow
//class WindowFiles : public wxGrid
//class WindowFiles : public wxPanel
{
public:
	WindowFiles (wxWindow* parent, Project* project);
	void TreeControl_New (File* file, int ix);
	void TreeControls_Create (File* files[], int files_num);
	void TreeControls_Remove ();
	void DefineSize ();
	void Reinit (File* files[], int files_num);
// +++ events +++
	void OnResetFileSelections (wxNotifyEvent& event);
// --- events ---

private:
//	wxFrame* m_frame;
	wxWindow* m_window_parent;
	Project* m_proj;
	wxPanel* m_panel;
//	wxTreeCtrl* m_tree_ctrl;
//	wxGenericTreeCtrl* m_tree_ctrl[PROJECT_FILES_MAX];
	vector_filetreectrl_t m_tree_ctrls;

	DECLARE_EVENT_TABLE()
	DECLARE_NO_COPY_CLASS(WindowFiles)
};

